import {request} from '../utils/request.js'
function cancelOrder(data){ //取消问诊订单
  return request('/patient/order/inquiry/cancel/'+data,'PUT',{},true)
};
function inquiryList(data){ //获取患者问诊订单列表
  return request('/patient/order/inquiry','GET',data,true)
};
function inquiryDetail(id){ //获取患者问诊订单详情
  return request('/patient/order/inquiry/'+id,'GET',{},true)
};
function inquiryDel(data){ //删除问诊订单
  return request('/patient/order/inquiry/'+data,'DELETE',{},true)
};
function cancelPay(data){ //问诊订单取消支付
  return request('/patient/order/inquiry/cancel-pay/'+data,'PUT',{},true)
};
function sickInfo(data){ //获取患者问诊病例
  return request('/case/inquiry','GET',data)
};
function getRate(id){ //获取患者问诊病例
  return request('/patient/inquiry/evaluation/'+id,'GET')
};
function finishConsult(id){ //结束问诊
  return request('/inquiry/finish/'+id,'PUT')
};
module.exports={
  cancelOrder,
  inquiryList,
  inquiryDetail,
  inquiryDel,
  cancelPay,
  sickInfo,
  getRate,
  finishConsult
}
